(function($) {
    function loadDefault(){
        var apiUrlVal = $('input[name="api_url"]').val();
        var apiPublicKeyVal = $('input[name="api_public_key"]').val();
        var apiPrivateKeyVal = $('input[name="api_private_key"]').val();
        var listVal = $('select[name="list_default"]').val();
        if(apiUrlVal=='' || apiPublicKeyVal == '' || apiPrivateKeyVal == ''){
            $('#get_list').hide();
        }else{
            $('#get_list').show();
        }
        if(apiPublicKeyVal == '' || apiPrivateKeyVal == '' || apiUrlVal == '' || listVal == ''){
            $('#submit').prop('disabled',true);
        }else{
            $('#submit').removeAttr('disabled');
        }
    }
    $('input[name="api_url"]').on("keyup",function () {
        loadDefault();
    });
    $('input[name="api_public_key"]').on("keyup",function () {
        loadDefault();
    });
    $('input[name="api_private_key"]').on("keyup",function () {
        loadDefault();
    });
    $('select[name="list_default"]').on("change",function () {
        loadDefault();
    });
    loadDefault();
    $('#get_list').on("click",function(){
        var apiUrlVal = $('input[name="api_url"]').val();
        var apiPublicKeyVal = $('input[name="api_public_key"]').val();
        var apiPrivateKeyVal = $('input[name="api_private_key"]').val();
        jQuery.post(ajaxurl, {'action':'get_list_mailwizz','url':apiUrlVal,'public_key':apiPublicKeyVal,'private_key':apiPrivateKeyVal}, function(response) {
            $('input[name="lists_list"]').val(response);
            var result = JSON.parse(response);
            var html = '<option value="">Choose List</option>';
            for (var i=0;i< result.length;i++){
                html += '<option value="'+result[i].id+'">'+result[i].name+'</option>';
            }
            $('select[name="list_default"]').html(html);
        });
    });
    // $ Works! You can test it with next line if you like
    // console.log($);

})( jQuery );